<?php

/*
 * mpd設定
 */

return [
    'thisVersion' => '6.2',

    'Mpd' => [	//	接続先mpdの設定
        'host' => env('MPD_HOST', 'localhost' ), //	mpdのhost名
        'port' => env('MPD_PORT', '6600' ),				//	mpdのport番号
        'password' => env('MPD_PASSWORD', null ),				//	mpdのパスワード
    ],
    'Mpdplay' => [
        'seektime' => 20,				//	スキップ時の時間（秒）
    ],
    'alphabet' => [
        1 => [ 'a','b','c','d','e' ],
        2 => [ 'f','g','h','i','j' ],
        3 => [ 'k','l','m','n','o' ],
        4 => [ 'p','q','r','s','t' ],
        5 => [ 'u','v','w','x','y','z' ],
        6 => [ 'あ','い','う','え','お' ],
        7 => [ 'か','き','く','け','こ' ],
        8 => [ 'さ','し','す','せ','そ' ],
        9 => [ 'た','ち','つ','て','と' ],
        10 => [ 'な','に','ぬ','ね','の' ],
        11 => [ 'は','ひ','ふ','へ','ほ' ],
        12 => [ 'ま','み','む','め','も' ],
        13 => [ 'や','ゆ','よ' ],
        14 => [ 'ら','り','る','れ','ろ', 'わ' ],
    ],
    'alphabetgrid' => [
        1 => [ 'a','b','c','d','e' ],
        2 => [ 'f','g','h','i','j' ],
        3 => [ 'k','l','m','n','o' ],
        4 => [ 'p','q','r','s','t' ],
        5 => [ 'u','v','w','x','y', ],
        6 => [ 'z','','','','', ],
        7 => [ 'あ','い','う','え','お' ],
        8 => [ 'か','き','く','け','こ' ],
        9 => [ 'さ','し','す','せ','そ' ],
        10 => [ 'た','ち','つ','て','と' ],
        11 => [ 'な','に','ぬ','ね','の' ],
        12 => [ 'は','ひ','ふ','へ','ほ' ],
        13 => [ 'ま','み','む','め','も' ],
        14 => [ 'や','','ゆ','','よ' ],
        15 => [ 'ら','り','る','れ','ろ', ],
        16 => [ 'わ','','','','' ],
        17 => [ 'その他' ]
    ],
    'repeatMode' => [
        0 => "オフ",
        1 => "再生リストの全ての曲",
        2 => "再生中の曲のみ"
    ],
    'randomMode' => [
        0 => "オフ",
        1 => "オン",
    ],

    'Search' => [
        'artist' => [ 0 => "部分一致", 1 => "前方一致", 2 => "後方一致" ],
        'song' => [ 0 => "部分一致", 1 => "前方一致", 2 => "後方一致" ],
        'format' => [ 0 => '不問', 1 => 'CD（44.1kHz/16bit）', 2 => 'ハイレゾ' ]
    ],
    'Sortkey' => [
        's0', 's1', 's2', 's3'
    ],
    'Upload' => [
        'Use' => true,
        'Path' => WWW_ROOT .'uploadfiles'. DS,
        'Method' => [ 0 => '現在の再生リストを削除して追加', 1 => '現在の再生リストに追加' ],
        'RadioMethod' => [ 1 => '追加する', 2 => '追加しない' ],
        'Exts' => ['aac','aif','aiff','m4a','mp2','mp3','mp4','wav','wma','ts','flv','bin']
    ],
    'mpcCommand' => [
        'Use' => TRUE,
        'Cli' => '/usr/bin/mpc',
    ],

    'CoverUrl' => 'https://mpc5.fourthgate.jp/music',

];
