
<?php echo $this->Html->script('jquery.infinitescroll.min.js'); ?>

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">mpcbridge</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <?php echo $this->Html->link(
                '選曲メニュー',
                [ 'controller' => 'browse', 'action' => 'browse', ],
                [ 'class' => 'navbar-brand' ]
            );
            ?>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
                <li><?php echo $this->Html->link(
                        '<span class="glyphicon glyphicon-circle-arrow-up" aria-hidden=true></span>&nbsp;五十音 一覧',
                        [ 'action' => 'index', ],
                        [ 'escape' => FALSE, 'role' => 'button', 'class' => 'btn' ]
                    ); ?></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li><?php
                    $stng = $st;
                    $actn = [ 'action' => 'initial', urlencode( $st ), 0 ];
                    if ( $st == "iniall" ) {
                        $actn = [ 'action' => 'iniall', 0 ];
                    }
                    echo $this->Html->link(
                        '<span class="glyphicon glyphicon-th-list" aria-hidden=true></span>&nbsp;アーティスト名一覧',
                        $actn,
                        [ 'escape' => FALSE, 'role' => 'button', 'class' => 'btn' ]
                    ); ?></li>
            </ul>
        </div><!--/.nav-collapse -->
    </div>
</nav>


<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>



<div class="container">

	<div class="mainbody">
		<h3>カバー一覧</h3>

		<div class="row alblk">

			<div class="albumsglid">
<?php
	$k = 1;
	foreach ($albums as $one) :
		$imtg = urlencode( $one->path );
//		$imtg = urlencode( str_replace("/", "／", $one['Album']['path'] ) );
		$pgid = "p". $this->Paginator->counter( '{:page}' ) ."n". $k;
		$albid = $one->id;
?>
				<div class="col-lg-2 col-md-3 col-xs-6 albumglid forios" data-toggle="modal" data-target="#AlbumPlay" data-image="<?php echo $imtg; ?>" data-path="<?php echo $this->Sanitize->htmlall( $imtg ); ?>" data-artist="<?php echo $this->Sanitize->htmlall(  $one->artist ); ?>" data-albumtitle="<?php echo $this->Sanitize->htmlall( $one->albumtitle ); ?>">
					<a href="#" id="albttl<?php echo $pgid; ?>" data-title="<?php echo $this->Sanitize->htmlall($one->albumtitle); ?>">
					<?php echo $this->Html->image(
										$cover_url ."/getimage.php?dir=". $imtg,
										[
											'alt' => $cover_url ."/getimage.php?dir=". $imtg,
											'title' => $one->albumtitle,
											'class' => "img-thumbnail",
										] );
					?>
					<?php echo $this->Html->tag( 'span', $one->albumtitle, [ 'class' => 'albumname' ] ); ?>
					</a>
				</div>
<?php
	$k ++;
	endforeach;
?>

				<div id="nextpage" style="display: none;"><?php
					$this->Paginator->templates([ 'nextActive' => '<a rel="next" href="{{url}}">{{text}}</a>' ]);
					echo $this->Paginator->next('Next');
				?></div>
			</div>

		</div>

		<div class="modal fade" role=dialog id="AlbumPlay" tabindex="-1" aria-labelledby="albumPlayLabel">
			<div class="modal-dialog" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal" aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
						<h4 id="onePlayLabel">以下のアルバムを再生します</h4>
					</div>
					<div class="modal-body dirinfo">
						<h4 class="modal-dirimage"></h4>
						<p class="modal-diralbum"></p>
						<p class="modal-dirartist"></p>
					</div>
					<div class="modal-footer tocenter">
						<a href="#" onclick="" class="btn btn-default" href="#" role="button" id="adddirwcl">現在の再生リストを削除して追加</a>
						<a href="#" onclick="" class="btn btn-primary" href="#" role="button" id="adddir">現在の再生リストに追加</a>
					</div>
				</div>
			</div>
		</div>

	</div>

</div>

<script>
	$( document ).ready( function( ) {
		$( 'div.alblk' ).infinitescroll( {
			navSelector		: "#nextpage",
			nextSelector 	: "#nextpage a",
			itemSelector 	: ".albumsglid",
			dataType		: 'html',
			loading			: {
								finishedMsg: '',
								msgText: '',
								img: '/img/ajax-loader.gif'
							  }
		},function( ) { 

		} );
	} );

</script>

<?php echo $this->element( 'api_scripts' ); ?>
