

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">mpcbridge</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <?php echo $this->Html->link(
                '選曲メニュー',
                [ 'controller' => 'browse', 'action' => 'browse', ],
                [ 'class' => 'navbar-brand' ]
            );
            ?>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
                <li><?php echo $this->Html->link(
                        '<span class="glyphicon glyphicon-circle-arrow-up" aria-hidden=true></span>&nbsp;五十音 一覧',
                        [ 'action' => 'index', ],
                        [ 'escape' => FALSE, 'role' => 'button', 'class' => 'btn' ]
                    ); ?></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li><?php echo $this->Html->link(
                        '<span class="glyphicon glyphicon-th" aria-hidden=true></span>&nbsp;カバーリスト',
                        [ 'action' => 'coverlist', urlencode( $st ), 0 ],
                        [ 'escape' => FALSE, 'role' => 'button', 'class' => 'btn' ]
                    ); ?></li>
            </ul>
        </div><!--/.nav-collapse -->
    </div>
</nav>

<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>



<div class="container" id="mainbody">

		<h3><?php echo $this->Sanitize->htmlall( $st ); ?></h3>


		<div class="list-group directorylist" id="lblsrtkey">
<?php
	$ct = 1;
	foreach ( $artistlist as $ist => $one ) :
?>

<?php echo $this->Html->link( $one->artist, [ 'action'=>'artist', urlencode($st), urlencode( $one->artist ) ], [ 'class' => 'list-group-item' ] ); ?>

<?php
		$ct ++;
	endforeach;
?>
		</div>


</div>

<script type="text/javascript">
	$(document).ready(function(){
		var arry = [ 's0', 's1', 's2', 's3' ];
		var value = localStorage.getItem('sortkey');
		if ( value == null ) value = 's0';
		if ( ! $.inArray( value, arry ) ) {
			value = "s0";
			localStorage.setItem( 'sortkey', 's0' );
		}
		$(".directorylist a").each(function(){
			$(this).attr( 'href', $(this).attr('href') + '/' + value );
		});
	});
</script>
