
<style>
    .coverimagelist .coverlist {
        padding: 15px;
        position: relative;
    }

    .overlay {
        margin-left: 15px;
        margin-right: 15px;
        background-color: #000;
        bottom: 0;
        color: #fff;
        left: 0;
        opacity: 0.5;
        position: absolute;
        width: 100%;
    }

</style>

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div id="navbar-header">
            <ul class="nav navbar-nav navbar-right">
                <li><?php echo $this->Html->link(
                        '<span class="glyphicon glyphicon-circle-arrow-up" aria-hidden=true></span>&nbsp;ラベル一覧',
                        [ 'action' => 'index', ],
                        [ 'escape' => FALSE, 'role' => 'button', 'class' => 'btn' ]
                    ); ?></li>
            </ul>
        </div>
    </div>
</nav>

<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>


<div class="container" id="mainbody">

    <div class="row">

        <h2>ラベル別：<?php echo $this->Html->tag( 'span', $labelname, [ 'style' => "color: {$labelcolor[0][$lid]}" ] ); ?></h2>

        <div class="tab-content">
            <div role="tabpanel" class="tab-pane active" id="albums">

                <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                    <?php
                    $al = 0;
                    foreach ( $albums as $albm ) :
                        $pnid = "heading". sprintf( "%03d", $al );
                        $pcid = "collapse". sprintf( "%03d", $al );
                        $albumPath = urlencode( $albm['path'] );

                        ?>
                        <div class="panel panel-default">
                            <div class="albumlisthead forios" data-toggle="modal" data-target="#AlbumPlay" data-image="<?php echo $albumPath; ?>" data-path="<?php echo $this->Sanitize->htmlall( $albumPath ); ?>" data-albumtitle="<?php echo $this->Sanitize->htmlall( $albm['albumtitle'] ); ?>">
                                <h3 class="panel-title">
                                    <?php echo $this->Html->image( $cover_url ."/getimage.php?sml=1&dir=". $albumPath, [ 'class' => 'albumcover' ] ); ?>
                                    <span class="attl">　💿&nbsp;&nbsp;<?php echo $this->Sanitize->htmlall( $albm['albumtitle'] ); ?></span>
                                    <span>　🎸&nbsp;&nbsp;<?php echo $this->Sanitize->htmlall( $albm['artist'] ); ?></span>
                                </h3>
                            </div>
                            <div class="panel-heading" role="tab" id="<?php echo $pnid; ?>">
                                <a class="sglist" role="button" data-toggle="collapse" data-parent="#accordion" href="#<?php echo $pcid; ?>" aria-expanded="true" aria-controls="<?php echo $pcid; ?>">
                                    <span class="glyphicon glyphicon-list" aria-hidden="true"></span> 曲リスト
                                </a>
                            </div>
                            <div id="<?php echo $pcid; ?>" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="<?php echo $pnid; ?>">
                                <div class="panel-body songlistinalbum">
                                    <ul class="list-group">
                                        <?php
                                        $alsg = 0;
                                        foreach ( $albm['songs'] as $alb_song ) :
                                            if ( $alb_song->title == "" ) {
                                                $sng = explode( "/", $alb_song->file );
                                                $songtitle = array_pop ( $sng );
                                            } else {
                                                $songtitle = $alb_song->title;
                                            }
                                            $sf = $alb_song->file;

                                            $sgf = urlencode( $sf );
                                            $artist = $playTime = $albumtitle = "--";
                                            $fileFormat = $composer = '';
                                            if ( $alb_song->artist != "" ) $artist = $alb_song->artist;
                                            if ( $alb_song->albumtitle != "" ) $albumtitle = $alb_song->albumtitle;
                                            if ( $alb_song->length != "" ) $playTime = $this->Tools->sec2minutes( $alb_song->length );
                                            if ( $alb_song->fileformat != "" ) $fileFormat = $this->Tools->arrangeFormat( $alb_song->fileformat );
                                            if ( $alb_song->composer != '' ) $composer = $alb_song->composer;

                                            ?>
                                            <li class="list-group-item">
                                                <div>
                                                    <h4 class="list-group-item-heading">🎵&nbsp;<?= $songtitle; ?></h4>
                                                    <p class="list-group-item-text"><?php if ( $artist != "" ) : ?>🎸&nbsp;<?= $artist; ?><?php endif; ?><?php if ( $composer != '' ) : ?>　🎼&nbsp;<?= $composer; ?><?php endif; ?>
                                                        <span class="playtime">🕒&nbsp;<?= $playTime; ?><?php
                                                            if ( $have_format ) :
                                                                ?><br>🔈&nbsp;<?= $fileFormat;?><?php
                                                            endif; ?></span></p>
                                                    <?php if ( $albumtitle != "" ) : ?><p class="list-group-item-text">💿&nbsp;<?= $albumtitle; ?></p><?php endif; ?>

                                                </div>
                                            </li>

                                            <?php
                                            $alsg ++;
                                        endforeach;
                                        ?>

                                    </ul>
                                </div>
                            </div>
                        </div>
                        <?php
                        $al ++;
                    endforeach;
                    ?>
                </div>

            </div>

        </div>

        <div class="modal fade" role=dialog id="AlbumPlay" tabindex="-1" aria-labelledby="albumPlayLabel">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        <h4 id="onePlayLabel">すべての曲（アルバム）を再生します</h4>
                    </div>
                    <div class="modal-body dirinfo">
                        <h4 class="modal-dirimage"></h4>
                        <p class="modal-diralbum"></p>
                    </div>
                    <div class="modal-footer tocenter">
                        <a href="#" onclick="" class="btn btn-default" href="#" role="button" id="adddirwcl">現在の再生リストを削除して追加</a>
                        <a href="#" onclick="" class="btn btn-primary" href="#" role="button" id="adddir">現在の再生リストに追加</a>
                    </div>
                </div>
            </div>
        </div>


    </div>

</div>


<script type="text/javascript">
    $('.collapse').collapse( 'hide' );

    $(document).ready(function(){
        var value = localStorage.getItem('sortkey');
        if ( value == null ) value = 's0';
        $("#lblsrtkey a").each(function(){
            $(this).attr( 'href', $(this).attr('href') + '/' + value );
        });
    });
</script>


<?php echo $this->element( 'api_scripts' ); ?>

