
<nav class="navbar navbar-inverse navbar-fixed-top">
	<div class="container">
		<div id="navbar-header">
			<ul class="nav navbar-nav navbar-right">
				<li><?php echo $this->Html->link(
							'<span class="glyphicon glyphicon-circle-arrow-up" aria-hidden=true></span>&nbsp;選曲トップ',
							[ 'controller' => 'browse', 'action' => 'index', ],
							[ 'escape' => FALSE, 'role' => 'button', 'class' => 'btn' ]
					); ?></li>
			</ul>
		</div>
	</div>
</nav>

<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>


<div class="container" id="mainbody">

	<div class="row">

		<h3>ラベル別</h3>

		<div class="list-group" id="lblsrtkey">
<?php
	$lbc = 0;
	foreach ( $labels as $label ) :
?>
<h4><?php echo $this->Html->link( '<span class="glyphicon glyphicon-tag" aria-hidden=true></span> '. htmlspecialchars( $label->colorname ), [ 'action' => 'albumlist', $label->label_key ], [ 'class' => 'list-group-item', 'style' => "color: {$label->colorcode}", 'escape' => false ] ); ?></h4>

<?php
		$lbc ++;
	endforeach;
?>

		</div>


	</div>

</div>


<script type="text/javascript">
	$(document).ready(function(){
		var value = localStorage.getItem('sortkey');
		if ( value == null ) value = 's0';
		$("#lblsrtkey a").each(function(){
			$(this).attr( 'href', $(this).attr('href') + '/' + value );
		});
	});
</script>
