

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">mpcbridge</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <?php echo $this->Html->link(
                '選曲メニュー',
                [ 'controller' => 'browse', 'action' => 'index', ],
                [ 'class' => 'navbar-brand' ]
            );
            ?>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
                <li>
                    <?php
                    echo $this->Html->link(
                        '<span class="glyphicon glyphicon-circle-arrow-left" aria-hidden=true></span>&nbsp;戻る',
                        [ 'action' => 'index', ],
                        [ 'escape' => false, 'class' => 'btn' ]
                    );
                    ?>
                </li>
            </ul>
        </div><!--/.nav-collapse -->
    </div>
</nav>

<div class="container" id="mainbody">

    <div class="row">

        <h3>アップロード＆再生</h3>

        <?php echo $this->Flash->render( ) ?>


        <?php echo $this->Form->create( $entity, [ 'novalidate' => true, 'class' => "form-horizontal", ] ); ?>

        <?php echo $this->Form->control(
            'title',
            [
                'type' => 'text',
                'class' => "form-group form-group-lg form-control",
                'label' => [ 'text' => "タイトル", 'class' => 'control-label col-sm-4 col-md-2 col-lg-2', ],
                'templates' => [ 'formGroup' => '{{label}}<div class="col-sm-8 col-md-10 col-lg-10">{{input}}</div>', ]
            ]
        ); ?>

        <?php echo $this->Form->control(
            'radiourl',
            [
                'type' => 'text',
                'class' => "form-group form-group-lg form-control",
                'label' => [ 'text' => "ストリームURL", 'class' => 'control-label col-sm-4 col-md-2 col-lg-2', ],
                'templates' => [ 'formGroup' => '{{label}}<div class="col-sm-8 col-md-10 col-lg-10">{{input}}</div>', ]
            ]
        ); ?>


<?php
    $btnstr = "更新";
    if ( ! isset( $entity->id ) ) :
        $btnstr = "再生";
?>
        <div class="form-group">
            <label class="control-label col-sm-4 col-md-2 col-lg-2" for="artname">ラジオ局リスト</label>
            <div class="col-sm-8 col-md-10 col-lg-10">
                <div class="btn-group amethod" role="group" aria-label="addlist" data-toggle="buttons">
                    <?php echo $this->Form->radio( 'addlist', $uploadMethod, [ 'default' => 1, 'label' => [ 'class' => 'btn btn-primary', ] ] ); ?>
                </div>
            </div>
        </div>

        <div class="form-group">
            <label class="control-label col-sm-4 col-md-2 col-lg-2" for="smethod">再生方法</label>
            <div class="col-sm-8 col-md-10 col-lg-10">
                <div class="btn-group smethod" role="group" aria-label="playMethod" data-toggle="buttons">
                    <?php echo $this->Form->radio( 'play_method', $playMethod, [ 'default' => 0, 'label' => [ 'class' => 'btn btn-info', ] ] ); ?>
                </div>
            </div>
        </div>

<?php endif; ?>

        <?php echo $this->Form->hidden( 'sending', array( 'value' => 'save' ) ); ?>

        <?php if ( isset( $entity->id ) ) echo $this->Form->hidden('id'); ?>

        <?php
        echo $this->Form->button(
            $btnstr,
            [
                'type' => 'submit',
                'class' => 'btn btn-primary',
                'label' => FALSE,
            ]
        );
        ?>
        <?php echo $this->Form->end( ); ?>

    </div>

</div>

<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>

<script>
    $('div.amethod .btn').click(function(){
        var clkval = $(this).val( );
        $("#am").val( clkval );
        $('div.amethod button').each( function( i, elem ) {
            var cv = $(elem).val();
            if ( cv == clkval ) {
                $(elem).addClass('active');
            } else {
                $(elem).removeClass('active');
            }
        });
    });
    $('div.smethod .btn').click(function(){
        var clkval = $(this).val( );
        $("#sm").val( clkval );
        $('div.smethod button').each( function( i, elem ) {
            var cv = $(elem).val();
            if ( cv == clkval ) {
                $(elem).addClass('active');
            } else {
                $(elem).removeClass('active');
            }
        });
    });

    $(document).ready( function() {
        /* Web strage */
        if (localStorage.getItem("sortkey") === null) localStorage.setItem( 'sortkey', '0' );
        $("#sgodr").val( localStorage.getItem('sortkey') );

        /* radio button */
        $('div.amethod :input:checked').parent('label').addClass('active');
        $('div.smethod :input:checked').parent('label').addClass('active');
    });
</script>

