
<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>



<div class="container" id="mainbody">
	<div class="json-message"></div>

	<div class="row">
		<h2>楽曲データベースをアップデート</h2>
		<p>全ディレクトリを再スキャンする場合は、「全て更新」ボタンをクリックしてください。</p>

		<ul class="list-group directorylist">
			<li class="list-group-item">
				<a href="#" onclick="upd( '', '全ディレクトリ' );">
					すべて更新
				</a>
			</li>
		</ul>

		<p>サブディレクトリのみ更新する場合は、更新したいディレクトリ名をタップしてください。</p>

<?php if (count($drlist['directory'])>0) : ?>
		<ul class="list-group directorylist">
<?php
	$ct = 1;
	foreach ( $drlist['directory'] as $value ) :
?>
			<li class="list-group-item">
				<a href="#" onclick="upd( '<?php echo urlencode($value); ?>', '<?php echo $value; ?>' );">📁&nbsp;&nbsp;<?php echo $this->Sanitize->htmlall( $value ); ?></a>
			</li>

<?php
		$ct ++;
	endforeach;
?>
		</ul>
<?php else : ?>
			<p>サブディレクトリはありません</p>
<?php endif; ?>

	</div>
</div>

<script type="text/javascript">
	function upd( udir, ndir ) {
		$.ajax( {
			url: '<?php echo $this->Url->build( array( 'action'=>'godbupdate') ); ?>',
			type: 'get',
			data: ( 'dr=' + udir )
		} );
		popupMessage( ndir );
		return false;
	}

	function popupMessage( addMsg ) {
		$(".json-message").empty().text( addMsg + 'をアップデートしました' );
		$(".json-message:not(:animated)").fadeIn("slow",function(){
			$(this).delay(2000).fadeOut("slow");
		});
		return true;
	};
</script>