

<div class="container">


    <h3>ラベル編集【<?php echo $this->Sanitize->htmlall( $entity['colorname'] ); ?>】</h3>

    <?php
    echo $this->Form->create(
        $entity,
        [
            'novalidate' => TRUE,
            'class' => "form-horizontal"
        ]
    );
    $myTemplates = [
        'inputContainer' => '<div class="input col-sm-8 col-md-10 col-lg-10 {{type}}{{required}}">{{content}}</div>',
        'inputContainerError' => '<div class="input col-sm-8 col-md-10 col-lg-10 {{type}}{{required}} error">{{content}}{{error}}</div>',
        'error' => '<div class="alert alert-danger">{{content}}</div>',
    ];
    $this->Form->setTemplates($myTemplates);
    ?>

    <div class="form-group form-group-lg">
        <?php echo $this->Form->control(
                'colorname',
                [
                    'type' => 'text',
                    'error' => false,
                    'class' => "form-control",
                    'label' => [ 'text' => "ラベルタイトル", 'class' => 'col-sm-4 col-md-2 col-lg-2', ],
                    'templates' => [ 'formGroup' => '{{label}}<div class="col-sm-8 col-md-10 col-lg-10">{{input}}</div>', ]
                ]
            )."\n"; ?>
    </div>
    <?php if ($this->Form->isFieldError('colorname')) : ?>
        <div class="form-group form-group-lg"><?php echo $this->Form->error('colorname'); ?></div>
    <?php endif; ?>

    <div class="form-group form-group-lg">
        <?php echo $this->Form->control(
                'colorcode',
                [
                    'type' => 'color',
                    'error' => false,
                    'class' => "form-control clpk",
                    'label' => [ 'text' => "ラベル色", 'class' => 'col-sm-4 col-md-2 col-lg-2', ],
                    'templates' => [ 'formGroup' => '{{label}}<div class="col-sm-8 col-md-10 col-lg-10">{{input}}</div>', ]
                ]
            )."\n"; ?>
    </div>
    <?php if ($this->Form->isFieldError('colorcode')) : ?>
        <div class="form-group form-group-lg"><?php echo $this->Form->error('colorcode'); ?></div>
    <?php endif; ?>

    <div class="form-group form-group-lg">
        <?php echo $this->Form->submit( '更新', [ 'legend' => FALSE, 'class' => 'btn btn-primary', 'div' => false ] )."\n"; ?>
    </div>
    <?php echo $this->Form->hidden('id'); ?>
    <?php echo $this->Form->hidden('label_key'); ?>
    <?php echo $this->Form->hidden( 'sending', [ 'value' => 'save' ] ); ?>
    <?php echo $this->Form->end( ); ?>

</div>

<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>

