
<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>



<div class="container" id="mainbody">
	<div class="json-error"></div>

		<h2>音声出力先</h2>
		<p>mpd.confで設定されている出力先一覧です。</p>

<?php if (count($dvlist)>0) : ?>
<table class="table directorylist">

<?php
	$bc = 0;
	$ids = array( );
	foreach ($dvlist as $device) :
		$ids[ $bc ] = "btnid". strval( $device['outputid']);
?>
	<tr>
		<td class="tswitch">
<?php if ($device['outputenabled']==0) {
	$b1on = " btn-default";
	$b1off = " active btn-primary";
} else {
	$b1on = " active btn-primary";
	$b1off = " btn-default";
} ?>
			<div class="btn-group btn-toggle" id="<?php echo $ids[ $bc ]; ?>" data-oid="<?php echo $device['outputid']; ?>"> 
			  <button class="btn<?php echo $b1on; ?>" data-onoff="1">ON</button>
			  <button class="btn<?php echo $b1off; ?>" data-onoff="0">OFF</button>
			</div>

		</td>
		<td><?php echo $device['outputname']; ?></td>
	</tr>
<?php
		$bc ++;
	endforeach;
?>

</table>
<?php else : ?>
		<p>出力先がありません</p>
<?php endif; ?>


</div>

<script>
	function popupError( addMsg ) {
		$(".json-error").empty().text('通信エラーが発生しました' + addMsg );
		$(".json-error:not(:animated)").fadeIn("slow",function(){
			$(this).delay(2000).fadeOut("slow");
		});
		return true;
	};

<?php
	if ( ! empty( $ids ) )
		foreach ( $ids as $onebtn ) :
?>
	$('#<?php echo $onebtn; ?>').click(function() {
		$(this).find('.btn').toggleClass('active'); 
		$(this).find('.btn').toggleClass('btn-primary');
		$(this).find('.btn').toggleClass('btn-default');

		var seld = $(this).find('.active').data( 'onoff' );
		var dacno = $(this).data('oid');
		dacSet( dacno, seld );
	});
<?php endforeach; ?>

	function dacSet( dacno, seld ) {
		$.ajax( {
			url: '<?php echo $this->Url->build( [ 'controller'=> 'mpdapi', 'action'=>'setoutput' ] ); ?>',
			type: 'get',
			data: { 'dacid' : dacno, 'onoff' : seld },
			dataType: 'json',
			cache: false,
			success: function( json ) {
			},
			error: function( XMLHttpRequest, textStatus, errorThrown ) {
				popupError( "（出力の切り替えに失敗）" );
			}
		} );
	}

</script>
