


<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>


<div class="container" id="mainbody">

    <div class="row">
        <h3>リピート再生</h3>
        <div class="btn-group">
            <button id="repatmodebtn" class="btn btn-default btn-lg dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><?php echo $repeatMode[$status['status']['repeat']]; ?> <span class="caret"></span></button>
            <ul id="repatmodedrop" class="dropdown-menu">
                <li data-value="0"><?php echo $repeatMode[0]; ?></li>
                <li data-value="1"><?php echo $repeatMode[1]; ?></li>
                <li data-value="2"><?php echo $repeatMode[2]; ?></li>
            </ul>
        </div>

        <h3>ランダム再生</h3>
        <div class="btn-group">
            <button id="randomodebtn" class="btn btn-default btn-lg dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><?php echo $randomMode[$status['status']['random']]; ?> <span class="caret"></span></button>
            <ul id="randomodedrop" class="dropdown-menu">
                <li data-value="0"><?php echo $randomMode[0]; ?></li>
                <li data-value="1"><?php echo $randomMode[1]; ?></li>
            </ul>
        </div>
    </div>

</div>

<script type="text/javascript">

    $('#repatmodedrop li').click( function( ) {
        var arry = [ '0', '1', '2' ];
        var txt = $(this).text( );
        var selval = $(this).data('value');
        if ( $.inArray( selval, arry ) ) {
            $('#repatmodebtn').empty( ).text( txt );
        } else {
            selval = "0";
        }
        $.ajax( {
            url: '<?php echo $this->Url->build( [ 'action'=>'setrepeat' ] ); ?>',
            type: 'get',
            data: ( 'rpt=' + selval ),
            dataType : "text",
            cache: false,
            success : function( result ) {
                var ct = $('#repatmodedrop li').filter('[data-value="'+ selval +'"]').text( );
                $('#repatmodebtn').empty( ).text( ct );
            }
        } );
    });

    $('#randomodedrop li').click( function( ) {
        var arry = [ '0', '1' ];
        var txt = $(this).text( );
        var selval = $(this).data('value');
        if ( $.inArray( selval, arry ) ) {
            $('#randomodebtn').empty( ).text( txt );
        } else {
            selval = "0";
        }
        $.ajax( {
            url: '<?php echo $this->Url->build( [ 'action'=>'setrandom' ] ); ?>',
            type: 'get',
            data: ( 'rdm=' + selval ),
            dataType : "text",
            cache: false,
            success : function( result ) {
                var ct = $('#randomodedrop li').filter('[data-value="'+ selval +'"]').text( );
                $('#randomodebtn').empty( ).text( ct );
            }
        } );
    });

</script>
