
<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>



<div class="container" id="mainbody">
	<div class="json-error"></div>

		<h2>楽曲情報表示設定</h2>
		<p>トップページで表示する楽曲の情報を設定します。</p>

<table class="table directorylist">

    <tr>
        <td class="tswitch">

            <div class="btn-group btn-toggle" id="songlength">
                <button class="btn btn-default" data-onoff="1">ON</button>
                <button class="btn active btn-primary" data-onoff="0">OFF</button>
            </div>

        </td>
        <td>演奏時間</td>
    </tr>

    <tr>
        <td class="tswitch">

            <div class="btn-group btn-toggle" id="composer">
                <button class="btn btn-default" data-onoff="1">ON</button>
                <button class="btn active btn-primary" data-onoff="0">OFF</button>
            </div>

        </td>
        <td>作曲者</td>
    </tr>

	<tr>
		<td class="tswitch">

			<div class="btn-group btn-toggle" id="songyear">
			  <button class="btn btn-default" data-onoff="1">ON</button>
			  <button class="btn active btn-primary" data-onoff="0">OFF</button>
			</div>

		</td>
		<td>リリース年</td>
	</tr>

    <tr>
        <td class="tswitch">

            <div class="btn-group btn-toggle" id="genre">
                <button class="btn btn-default" data-onoff="1">ON</button>
                <button class="btn active btn-primary" data-onoff="0">OFF</button>
            </div>

        </td>
        <td>ジャンル</td>
    </tr>

    <tr>
        <td class="tswitch">

            <div class="btn-group btn-toggle" id="bitrate">
                <button class="btn btn-default" data-onoff="1">ON</button>
                <button class="btn active btn-primary" data-onoff="0">OFF</button>
            </div>

        </td>
        <td>ビットレート</td>
    </tr>

    <tr>
        <td class="tswitch">

            <div class="btn-group btn-toggle" id="samplerate">
                <button class="btn btn-default" data-onoff="1">ON</button>
                <button class="btn active btn-primary" data-onoff="0">OFF</button>
            </div>

        </td>
        <td>フォーマット</td>
    </tr>

</table>



</div>

<script>
	function popupError( addMsg ) {
		$(".json-error").empty().text('通信エラーが発生しました' + addMsg );
		$(".json-error:not(:animated)").fadeIn("slow",function(){
			$(this).delay(2000).fadeOut("slow");
		});
		return true;
	};

    $('.tswitch').click(function() {
        var olddata = localStorage.getItem('fields');
        if ( olddata == null ) {
            var fielddata = {};
        } else {
            fielddata = JSON.parse(olddata);
        }
        $(this).find('.btn').toggleClass('active');
        $(this).find('.btn').toggleClass('btn-primary');
        $(this).find('.btn').toggleClass('btn-default');

        var seld = $(this).find('.active').data( 'onoff' );
        var fld = $(this).find('.btn-group').attr('id');
        fielddata[fld] = seld;
        localStorage.setItem( 'fields', JSON.stringify( fielddata ) );
    });

    $(document).ready(function(){
        var olddata = localStorage.getItem('fields');
        if ( olddata != null ) {
            fielddata = JSON.parse(olddata);
            $.each( fielddata, function (index, value) {
                if ( value == 1 ) {
                    $('div#' +index).children('[data-onoff="1"]').removeClass('btn-default').addClass('btn-primary').addClass('active');
                    $('div#' +index).children('[data-onoff="0"]').removeClass('active').removeClass('btn-primary').addClass('btn-default');
                }
            });
        }
    });
</script>
