

<script>
    $('#AlbumPlay').on('show.bs.modal', function( event ) {
        var button = $(event.relatedTarget);
        var dirpath = button.data('path');
        var imagepath = button.data('image');
        var albumTitle = button.data('albumtitle');
        var artist = button.data('artist');
        $(this).find('.modal-diralbum').text( '💿 '+ albumTitle );
        $(this).find('.modal-dirartist').text( '🎸 '+ artist );
        $(this).find('.modal-idrpath').text( dirpath );
        $(this).find('.modal-dirimage').empty().html( '<img src="<?php
            $coverimgurl = $this->Url->build( $cover_url . '/getimage.php' );
            echo $coverimgurl; ?>?dir=' + imagepath + '" class="modal-albumimage">' );
        $(this).find('a#adddir').attr( "onclick", "addonesong( '"+ dirpath + "','a','#AlbumPlay' )" );
        $(this).find('a#adddirwcl').attr( "onclick", "addonesong( '"+ dirpath + "','c','#AlbumPlay' )" );
    } );

    $('#onePlay').on('show.bs.modal', function( event ) {
        var button = $(event.relatedTarget);
        var filepath = button.data('file');
        var songTitle = button.data('title');
        var album = button.data('album');
        var artist = button.data('artis');
        var playtime = button.data('time');
        $(this).find('.modal-title').text( "🎵 "+ songTitle );
        $(this).find('.modal-album').text( "💿 "+ album );
        $(this).find('.modal-artist').text( "🎸 "+ artist );
        $(this).find('.modal-time').text( "🕒 "+ playtime );
        $(this).find('.modal-path').text( filepath );
        $(this).find('a#addone').attr( "onclick", "addonesong( '"+ filepath + "','a','#onePlay')" );
        $(this).find('a#addonewcl').attr( "onclick", "addonesong( '"+ filepath + "','c','#onePlay')" );
    } );

    function addonesong( flnm, clfg, modalid ) {
        $.getJSON(
            '<?php echo $this->Url->build( [ 'controller'=> 'mpdapi', 'action'=>'add1song' ] ); ?>',
            {
                songfile: flnm,
                cl: clfg
            }
        )
            .done( function( data ) {
                if ( ! data.result ) {
                    popupError( "（曲追加）" );
                } else {
                    popupSuccess( );
                }
            })
            .fail( function( jqXHR, textStatus, errorThrown ) {
                popupError( "（曲追加:error）" );
            });

        $('.container').find(modalid).modal('hide');
        return false;
    }

    function seldrplay( idtag, altag ) {
        tgt = $( idtag ).attr( "title" );
        sgt = $( altag ).html();
        $("div#ppadalb a#onlyadd").attr( "onclick", "adddronly('"+ tgt + "')" );
        $("div#ppadalb a#cleardradd").attr( "onclick", "cleardradd('"+ tgt + "')" );
        $("div#ppadalb p").empty().append( '【'+ sgt + "】内の全ての曲を再生します" );
        $( "div#ppadalb" ).popup( "open" );
    }

    $('#radioPlay').on('show.bs.modal', function( event ) {
        var button = $(event.relatedTarget);
        var songTitle = button.data('title');
        var url = button.data('url');
        var lid = button.data('lid');
        var playtime = button.data('time');
        $(this).find('.modal-title').text( "📻 "+ songTitle );
        $(this).find('.modal-url').text( "💻 "+ url );
        $(this).find('a#addone').attr( "onclick", "addradio( '"+ lid + "','a','#radioPlay')" );
        $(this).find('a#addonewcl').attr( "onclick", "addradio( '"+ lid + "','c','#radioPlay')" );
    } );

    function addradio( lid, clfg, modalid ) {
        $.getJSON(
            '<?php echo $this->Url->build( [ 'controller'=> 'mpdapi', 'action'=>'playradio' ] ); ?>',
            {
                rsid: lid,
                opt: clfg
            }
        )
            .done( function( data ) {
                if ( ! data.result ) {
                    popupError( "（曲追加）" );
                } else {
                    popupSuccess( );
                }
            })
            .fail( function( jqXHR, textStatus, errorThrown ) {
                popupError( "（曲追加:error）" );
            });

        $('.container').find(modalid).modal('hide');
        return false;
    }


    function popupError( addMsg ) {
        $(".json-error").empty().text('通信エラーが発生しました' + addMsg );
        $(".json-error:not(:animated)").fadeIn("slow",function(){
            $(this).delay(2000).fadeOut("slow");
        });
        return true;
    };
    function popupSuccess( ) {
        $(".json-message").empty().text('楽曲を追加しました');
        $(".json-message:not(:animated)").fadeIn("slow",function(){
            $(this).delay(2000).fadeOut("slow");
        });
        return true;
    };

    $('#addpllstwcl').click( function( ) {
        var playlist = $(this).data('playlist');
        addplaylist( playlist );
    });

    function addplaylist( flnm, clfg, modalid ) {
        $.getJSON(
            '<?php echo $this->Url->build( [ 'controller'=> 'mpdapi', 'action'=>'addplaylist' ] ); ?>',
            {
                playlist: flnm,
                cl: clfg
            }
        )
            .done( function( data ) {
                if ( ! data.result ) {
                    popupError( "（曲追加）" );
                } else {
                    popupSuccess( );
                }
            })
            .fail( function( jqXHR, textStatus, errorThrown ) {
                popupError( "（曲追加:error）" );
            });

        $('.container').find(modalid).modal('hide');
        return false;
    }

</script>
