<?php
/*

	Takeo Akiyama, Fourthgate Inc.

	mpcbridge Ver. 5.2 / 2017.10.14

 */

    $imgk = false;
    if ( extension_loaded( 'imagic') ) $imgk = true;

	$defaultimgfile = "dummy.jpg";
	$defaultimgtype = "image/jpeg";
	$tgimg = "";
	$thumnail = FALSE;
	$defaultout = false;
	if ( isset($_GET['sml']) && ( intval($_GET['sml'])==1 ) ) {
		$thumnail = TRUE;
		$defaultimgfile = "dummys.jpg";
	}
	if ( isset($_GET['dir']) && (trim($_GET['dir'])!="") ) {
//		$dr = urldecode( trim($_GET['dir']) );
		$dr = trim($_GET['dir']);
//		$dr = str_replace("／", DIRECTORY_SEPARATOR , $dr );
//		$dr = str_replace( DIRECTORY_SEPARATOR. DIRECTORY_SEPARATOR, "／" , $dr );
		$cdr = ".". DIRECTORY_SEPARATOR . $dr;	//	相対パスに変更
		if (is_dir($cdr) ) {
			
			if ( is_file($cdr . DIRECTORY_SEPARATOR ."cover.jpg") && ( ( $iminf = getimagesize($cdr . DIRECTORY_SEPARATOR ."cover.jpg" ) ) !== FALSE ) ) {
				$tgimg =  DIRECTORY_SEPARATOR . "cover.jpg";
			} elseif ( is_file($cdr . DIRECTORY_SEPARATOR ."Cover.jpg") && ( ( $iminf = getimagesize($cdr . DIRECTORY_SEPARATOR ."Cover.jpg" ) ) !== FALSE ) ) {
				$tgimg =  DIRECTORY_SEPARATOR ."Cover.jpg";
			} elseif ( is_file($cdr . DIRECTORY_SEPARATOR ."folder.jpg") && ( ( $iminf = getimagesize($cdr . DIRECTORY_SEPARATOR ."folder.jpg" ) ) !== FALSE ) ) {
				$tgimg =  DIRECTORY_SEPARATOR ."folder.jpg";
			} elseif ( is_file($cdr . DIRECTORY_SEPARATOR ."Folder.jpg") && ( ( $iminf = getimagesize($cdr . DIRECTORY_SEPARATOR ."Folder.jpg" ) ) !== FALSE ) ) {
				$tgimg =  DIRECTORY_SEPARATOR ."Folder.jpg";
			} else {
				//ディレクトリ内のファイル名を１つずつを取得

				//	ディレクトリの場合、ファイルをサーチ
				if ( ( $allfiles = scandir( $cdr, 1 ) ) !== FALSE ) {
					foreach ($allfiles as $one) {
						if ( preg_match("/(.*)\.(jpg|jpeg|png)$/i", $one) ) {
							if ( ( $iminf = getimagesize($cdr . DIRECTORY_SEPARATOR . $one ) ) !== FALSE ) {
								$tgimg = $one;
								break;
							}
						}
					}
				}
			}

		} else {
			$defaultout = TRUE;
		}
		if ( strlen( $tgimg ) > 0 ) {
			$targetimgfile = $cdr . DIRECTORY_SEPARATOR . $tgimg;
			$targetimgtype = $iminf['mime'];
			if ( $thumnail && $imgk ) {
				$photo = new Imagick($targetimgfile);
				$height = $photo->getImageHeight( );
				$width = $photo->getImageWidth( );
				if ( ( $width > 150 ) || ( $height > 150 ) ) {
					$ratio = $width / $height;	//	縦横比を出す
					if ( $ratio > 1 ) {
						//	横長
						$scale = $width / 150;
					} else {
						//	縦長
						$scale = $height / 150;
					}
					$newWidth = ceil( $width / $scale );
					$newHeight = ceil( $height / $scale );
					//	リサンプル

					$photo->resizeImage( $newWidth, $newHeight, imagick::FILTER_UNDEFINED, 1 );
					$photo->setImageFormat('jpeg');
				}
		//		echo $width ." -- ". $newWidth ."<br />";
		//		echo $height ." -- ". $newHeight;
				header("Content-Disposition: inline; filename=thumbnail.jpg");
				header("Cache-Control: private");
				header("Content-Type: image/jpeg");
				echo $photo;
				exit;
			} else {
				
				$ext = preg_split("/\//", $targetimgtype);
				header("Content-Disposition: inline; filename=cover.". $ext[1]);
				header("Cache-Control: private");
				header( 'Content-type: '. $targetimgtype );
				readfile( $targetimgfile );
				exit;
			}
		} else {
			$defaultout = TRUE;
		}
	} else {
		$defaultout = TRUE;;
	}
	if ( $defaultout ) {
		header("Content-Disposition: inline; filename=nocover.jpg");
		header( 'Content-type: '. $defaultimgtype );
		readfile( $defaultimgfile );
	}

?>