<?php
/**
 * Created by PhpStorm.
 * User: akiyamatakeo
 * Date: 2018-12-16
 * Time: 11:27
 */


namespace App\Controller;

use App\Controller\AppController;
use Cake\Event\Event;
use Cake\Core\Configure;
use Cake\ORM\TableRegistry;
use App\Controller\Component\RequestHandler;
use Cake\Network\Request;
use Cake\Log\Log;

use App\Form\SearchForm;

class TestingController extends AppController
{
    private $songs;
    private $albums;
    private $mpd;

    public function initialize(): void
    {
        parent::initialize();
//        $this->session = $this->request->session();

        $this->albums = TableRegistry::get('Albums');
        $this->songs = TableRegistry::get('Songs');


        $this->searchArtistMethod = Configure::read('Search.artist');
        $this->searchSongMethod = Configure::read('Search.song');

        $this->doc_title = "テスト";
    }


    public function index( ) {
/*        $query = $this->albums
            ->find( 'list', [ 'keyField' => 'artist', 'valueField' => 'artist' ] )
            ->group( [ 'artist' ] )
            ->order( [ 'artist' => 'ASC' ] );
        $artist = $query->toArray();
        $this->set( 'artist', $artist );*/

/*        $query_sg = $this->songs
            ->find( 'list', [ 'keyField' => 'artist', 'valueField' => 'artist' ] )
            ->group( [ 'artist' ] )
            ->order( [ 'artist' => 'ASC' ] );
        $song = $query_sg->toArray();
        $this->set( 'song', $song );*/

        Log::write( 'debug', "TestingController start..." );
        $status = $this->Mpd->getStatus( );
        $this->set( 'status', $status );
        Log::write( 'debug', "TestingController getStatus" );
        $this->set( 'stats', $this->Mpd->getStats( ) );
        Log::write( 'debug', "TestingController getStatus" );
//        $this->set( 'currentSong', $this->Mpd->getCurrentSong( ) );

        $rt1 = $this->Mpd->getInfo( "" );
        $this->set( 'rt1', $rt1 );

//        $this->set( 'dir1', $this->Mpd->getInfo( 'VIDEO/乃木坂46/シンクロニシティ/Type-C' ) );
//        $this->set( 'dir2', $this->Mpd->getInfo( 'HiReso/Overseas/King Crimson/In the Court of the Crimson King (2019)/2019 STREO MIX' ) );
//        $this->set( 'dir3', $this->Mpd->getInfo( 'HiReso/dsd/Sibelius/Davis_LSO/Symphony_No.1' ) );
        $this->set( 'dir4', $this->Mpd->getInfo( 'Japan/BEGIN/ビギンの島唄 オモトタケオのがベスト' ) );
        $this->set( 'dir3', $this->Mpd->getVersion( ) );

        $this->render("debug");
    }

}
