<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\Form;

use Cake\Form\Form;
use Cake\Form\Schema;
use Cake\Validation\Validator;

class PlaylistForm extends Form
{

	protected function _buildSchema(Schema $schema): Schema
    {
		$schema->addField( 'listname', ['type' => 'string'] );

		return $schema;
	}

    public function validationDefault(Validator $validator): Validator
    {
		$validator->add( 'listname', 'length1', [
								'rule' => [ 'maxLength', 100 ],
								'message' => '100文字以下で入力してください'
					 ]);
		return $validator;
	}

	protected function _execute(array $data): bool
    {
        return true;
	}

}
