<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Favolabel Entity
 *
 * @property int $id
 * @property \Cake\I18n\FrozenTime|null $created
 * @property string|null $colorcode
 * @property string|null $colorname
 * @property int|null $albums_count
 * @property int $label_key
 *
 * @property \App\Model\Entity\Album[] $albums
 */
class Favolabel extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'created' => true,
        'colorcode' => true,
        'colorname' => true,
        'albums_count' => true,
        'label_key' => true,
        'albums' => true,
    ];
}
