<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * InitialLetter Entity
 *
 * @property int $id
 * @property string $onechar
 * @property \Cake\I18n\FrozenTime|null $created
 */
class InitialLetter extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'onechar' => true,
        'created' => true,
    ];
}
