<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Mpdstat Entity
 *
 * @property int $id
 * @property int|null $lastdates
 * @property int|null $artisits
 * @property int|null $songs
 * @property int|null $albums
 * @property int|null $yomifile
 */
class Mpdstat extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'lastdates' => true,
        'artisits' => true,
        'songs' => true,
        'albums' => true,
        'yomifile' => true,
    ];
}
