<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
namespace App\View\Helper;
use Cake\View\Helper;

class ToolsHelper extends Helper {


	public function sec2minutes ( $secs ) {
        $secs_m = intval( $secs );
		$sec = $secs_m % 60; 	//	秒
		$min = intval( $secs_m / 60 );	//	分
        return ( sprintf('%d分%02d秒', $min, $sec ) );
	}

	public function arrangeFormat( $format = '' )
    {
        $val = explode( ':', $format );
        if ( count( $val ) == 1 ) return '';
        /*
         *  [0]: 標本化周波数
         *  [1]: 量子化ビット数
         *  [2]: ch数
         */
        $rate = intval($val[0]/100)/10 ."kHz";
        $tpx = intval( $val[1] );
        if ( $tpx > 0 ) {
            $bits = $tpx. 'bits';
        } else {
            $bits = '--';
        }
        $tp = intval( $val[2] );
        if ( $tp == 2 ) {
            $chs = '&#x1F142;';
        } elseif ( $tp > 2 ) {
            $chs = '&#x1F14D;';
        } else {
            $chs = '&#x1F13C;';
        }

        return "{$rate}/{$bits}/{$chs}";

    }
}

?>
