
<?php echo $this->Html->script('jquery.infinitescroll.min.js'); ?>


<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">mpcbridge</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <?php echo $this->Html->link(
                '選曲メニュー',
                [ 'controller' => 'browse', 'action' => 'browse', ],
                [ 'class' => 'navbar-brand' ]
            );
            ?>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
                <li><?php echo $this->Html->link(
                        '<span class="glyphicon glyphicon-circle-arrow-up" aria-hidden=true></span>&nbsp;五十音 一覧',
                        [ 'action' => 'index', ],
                        [ 'escape' => FALSE, 'role' => 'button', 'class' => 'btn' ]
                    ); ?></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li><?php echo $this->Html->link(
                        '<span class="glyphicon glyphicon-th" aria-hidden=true></span>&nbsp;カバーリスト',
                        [ 'action' => 'coverlist', $this->request->action, 0 ],
                        [ 'escape' => FALSE, 'role' => 'button', 'class' => 'btn' ]
                    ); ?></li>
            </ul>
        </div><!--/.nav-collapse -->
    </div>
</nav>

<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>



<div class="container">

    <div class="mainbody">
        <h3>五十音別表示</h3>


        <div class="row alblk">
            <div class="artistlist">

                <div class="list-group directorylist">
                    <?php
                    $ct = 1;
                    foreach ( $artistlist as $ist => $one ) :
                    ?>

                    <?php
                        echo $this->Html->link(
                            $one->artist,
                            [
                                'action'=>'artist',
                                urlencode( $this->request->action ),
                                urlencode( $one->artist )
                            ],
                            [ 'class' => 'list-group-item' ]
                        );
                    ?>

                        <?php
                        $ct ++;
                    endforeach;
                    ?>

                </div>
                <div id="nextpage" style="display: none;"><?php
                    $this->Paginator->templates([ 'nextActive' => '<a rel="next" href="{{url}}">{{text}}</a>' ]);
                    echo $this->Paginator->next('Next');
                    ?></div>

            </div>
        </div>
    </div>

</div>

<script>
	$( document ).ready( function( ) {
		$( 'div.alblk' ).infinitescroll( {
			navSelector		: "#nextpage",
			nextSelector 	: "#nextpage a",
			itemSelector 	: ".artistlist",
			dataType		: 'html',
			loading			: {
								finishedMsg: '',
								msgText: '',
								img: '/img/ajax-loader.gif'
							  }
		},function( ) {
		} );
	} );

</script>

<?php echo $this->element( 'api_scripts' ); ?>
