
<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">mpcbridge</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <?php echo $this->Html->link(
                '選曲メニュー',
                [ 'controller' => 'browse', 'action' => 'index', ],
                [ 'class' => 'navbar-brand' ]
            );
            ?>
        </div>
    </div>
</nav>

<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>



<div class="container" id="mainbody">
	<div class="json-error"></div>

    <?php echo $this->Flash->render( ) ?>

	<h3>登録済みネットラジオ局</h3>

    <table class="table table-striped radiolist">
        <thead>
            <tr><th></th><th></th><th></th></tr>
        </thead>
        <tbody>
<?php
    $sg = 1;
    foreach ( $radiolist as $radio ) :
        $ttl = $radio->title;
        $radiourl = $radio->radiourl;
        $lid = $radio->id;
        $modalId = "delmodal". sprintf('%02d', $radio->id );
        $modalIL = "delmodal". sprintf('%02d', $radio->id ) ."label";
?>
            <tr>
                <th>
                    <div class="radiourldiv forios" id="sg<?php echo $lid;?>" data-toggle="modal" data-target="#radioPlay" data-title="<?php echo $this->Sanitize->htmlall( $ttl ); ?>" data-url="<?php echo $this->Sanitize->htmlall( $radiourl ); ?>" data-lid="<?php echo $lid; ?>">
                        <h4><span class="glyphicon glyphicon-volume-up" aria-hidden="true"></span> <?php echo $this->Sanitize->htmlall( $ttl ); ?></h4>
                        <p><?php echo $this->Sanitize->htmlall( $radiourl ); ?></p>
                    </div>
                </th>
                <td>
                    <?php
                    echo $this->Html->link(
                        '<span class="glyphicon glyphicon-pencil" aria-hidden="true"></span> 編集',
                        [ 'action' => 'stream', $radio->id ],
                        [
                            'role' => "button",
                            'class' => "btn btn-default",
                            'escape' => FALSE
                        ]
                    );
                    ?>
                </td>
                <td>
                    <a href="#<?php echo $modalId; ?>" role="button" class="btn btn-default forios" data-toggle="modal"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span> 削除</a>
                    <!-- Modal -->
                    <div class="modal fade" id="<?php echo $modalId; ?>" tabindex="-1" role="dialog" aria-labelledby="<?php echo $modalIL; ?>">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="<?php echo $modalIL; ?>">以下のネットラジオ情報を削除します</h4>
                                </div>
                                <div class="modal-body">
                                    <h3><?php echo $this->Sanitize->htmlall( $ttl ); ?></h3>
                                    <?php echo $this->Sanitize->htmlall( $radio->radiourl ); ?>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-remove" data-dismiss="modal"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span>キャンセル</button>
                                    <?php
                                    echo $this->Html->link(
                                        '<span class="glyphicon glyphicon-trash" aria-hidden="true"></span> 削除する',
                                        [ 'action' => 'delete', $radio->id ],
                                        [
                                            'role' => "button",
                                            'class' => "btn btn-danger",
                                            'escape' => FALSE
                                        ]
                                    );
                                    ?>

                                </div>
                            </div>
                        </div>
                    </div>

                </td>
            </tr>
<?php
        $sg ++;
    endforeach;
?>
        </tbody>
    </table>

    <?php
        echo $this->Html->link( "ネットラジオ局追加", [ 'action' => 'stream' ], [ 'role' => 'button', 'class' => 'btn btn-primary btn-lg btn-block' ] )
    ?>

    <div class="modal fade" role=dialog id="radioPlay" tabindex="-1" aria-labelledby="radioPlayLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 id="radioPlayLabel">以下のURLを再生します</h4>
                </div>
                <div class="modal-body">
                    <h4 class="modal-title"></h4>
                    <p class="modal-url"></p>
                </div>
                <div class="modal-footer tocenter">
                    <a href="#" onclick="" class="btn btn-default" href="#" role="button" id="addonewcl">現在の再生リストを削除して追加</a>
                    <a href="#" onclick="" class="btn btn-primary" href="#" role="button" id="addone">現在の再生リストに追加</a>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" role=dialog id="radioDel" tabindex="-1" aria-labelledby="radioDelLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 id="radioDelLabel">以下のストリームを削除します</h4>
                </div>
                <div class="modal-body">
                    <h4 class="modal-title"></h4>
                    <p class="modal-url"></p>
                </div>
                <div class="modal-footer tocenter">
                    <a href="#" onclick="" class="btn btn-default" href="#" role="button" id="addonewcl">削除する</a>
                </div>
            </div>
        </div>
    </div>


</div>

<?php echo $this->element( 'api_scripts' ); ?>


