


<div class="container" id="mainbody">

	<div class="row">

		<h3>検索</h3>

<?php echo $this->Flash->render( ) ?>

<?php
	echo $this->Form->create(
						$entity,
						[ 'type' => 'post', 'class' => "form-horizontal", ]
					);
    $this->Form->setTemplates([
        'error' => '<div class="alert alert-danger" role="alert">{{content}}</div>',
    ]);
?>

        <div class="formblock">
            <?php if ( $this->Form->isFieldError('artist_name') ) echo $this->Form->error('artist_name') ."\n"; ?>
            <div class="form-group">
                <?php
                $artist_name = '';
                if ( isset( $data['artist_name'] ) ) $artist_name = $data['artist_name'];
                echo $this->Form->control(
                    'artist_name',
                    [
                        'type' => 'text',
                        'class' => "form-group form-group-lg form-control",
                        'label' => [ 'text' => "アーティスト名", 'class' => 'control-label col-sm-4 col-md-2 col-lg-2' ],
                        'templates' => [ 'formGroup' => '{{label}}<div class="col-sm-8 col-md-10 col-lg-10">{{input}}</div>', ],
                        'default' => $artist_name,
                        'error' => false,
                    ]
                ) ."\n";
                ?>
            </div>

            <div class="form-group">
                <label class="control-label col-sm-4 col-md-2 col-lg-2" for="artname">検索方法</label>
                <div class="col-sm-8 col-md-10 col-lg-10">
                    <div class="btn-group amethod" role="group" aria-label="artistMethod" data-toggle="buttons">
                        <?php
                        $artist_method = 0;
                        if ( isset( $data['artist_method'] ) ) $artist_method = $data['artist_method'];
                        echo $this->Form->radio(
                            'artist_method',
                            $s_artist,
                            [
                                'default' => 0,
                                'label' => [ 'class' => 'btn btn-primary', ],
                                'default' => $artist_method,
                            ]
                        );
                        ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="formblock">
            <div class="form-group">
                <?php
                $song_title = '';
                if ( isset( $data['song_title'] ) ) $song_title = $data['song_title'];
                echo $this->Form->control(
                    'song_title',
                    [
                        'type' => 'text',
                        'class' => "form-group form-group-lg form-control",
                        'label' => [ 'text' => "曲名", 'class' => 'control-label col-sm-4 col-md-2 col-lg-2', ],
                        'templates' => [ 'formGroup' => '{{label}}<div class="col-sm-8 col-md-10 col-lg-10">{{input}}</div>', ],
                        'default' => $song_title,
                    ]
                );
                ?>
            </div>

            <div class="form-group">
                <label class="control-label col-sm-4 col-md-2 col-lg-2" for="songname">検索方法</label>
                <div class="col-sm-8 col-md-10 col-lg-10">
                    <div class="btn-group smethod" role="group" aria-label="songMethod" data-toggle="buttons">
                        <?php
                        $song_method = 0;
                        if ( isset( $data['song_method'] ) ) $song_method = $data['song_method'];
                        echo $this->Form->radio(
                            'song_method',
                            $s_song,
                            [
                                'default' => 0,
                                'label' => [ 'class' => 'btn btn-info', ],
                                'default' => $song_method,
                            ]
                        );
                        ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="formblock">
            <div class="form-group">
                <?php
                $currentgenre = '';
                if ( isset( $data['genre'] ) ) $currentgenre = $data['genre'];
                echo $this->Form->control(
                    'genre',
                    [
                        'type' => 'select',
                        'class' => "form-group form-group-lg form-control",
                        'label' => [ 'text' => "ジャンル", 'class' => 'control-label col-sm-4 col-md-2 col-lg-2', ],
                        'templates' => [ 'formGroup' => '{{label}}<div class="col-sm-8 col-md-10 col-lg-10">{{input}}</div>', ],
                        'options' => $all_genres,
                        'empty' => '-- 全て --',
                        'default' => $currentgenre,
                    ]
                );
                ?>
            </div>
        </div>

        <div class="formblock">
            <div class="form-group">
                <?php
                $song_year = '';
                if ( isset( $data['song_year'] ) ) $song_year = $data['song_year'];
                echo $this->Form->control(
                    'song_year',
                    [
                        'type' => 'text',
                        'class' => "form-group form-group-lg form-control",
                        'label' => [ 'text' => "年", 'class' => 'control-label col-sm-4 col-md-2 col-lg-2', ],
                        'templates' => [ 'formGroup' => '{{label}}<div class="col-sm-8 col-md-10 col-lg-10">{{input}}</div>', ],
                        'default' => $song_year,
                    ]
                );
                ?>
            </div>
        </div>

<?php if ( $have_format ) : ?>
        <div class="formblock">
            <div class="form-group">
                <?php
                $composer = '';
                if ( isset( $data['composer'] ) ) $composer = $data['composer'];
                echo $this->Form->control(
                    'composer',
                    [
                        'type' => 'text',
                        'class' => "form-group form-group-lg form-control",
                        'label' => [ 'text' => "作曲者", 'class' => 'control-label col-sm-4 col-md-2 col-lg-2', ],
                        'templates' => [ 'formGroup' => '{{label}}<div class="col-sm-8 col-md-10 col-lg-10">{{input}}</div>', ],
                        'default' => $composer,
                    ]
                );
                ?>
            </div>
        </div>
<?php endif; ?>

        <div class="form-group">
            <label class="control-label col-sm-4 col-md-2 col-lg-2" for="songname">音声フォーマット</label>
            <div class="col-sm-8 col-md-10 col-lg-10">
                <div class="btn-group fmethod" role="group" aria-label="songMethod" data-toggle="buttons">
                    <?php
                    $song_format = 0;
                    if ( isset( $data['song_format'] ) ) $song_format = $data['song_format'];
                    echo $this->Form->radio(
                        'song_format',
                        $s_format,
                        [
                            'default' => 0,
                            'label' => [ 'class' => 'btn btn-success', ],
                            'default' => $song_format,
                        ]
                    );
                    ?>
                </div>
            </div>
        </div>

<?php
	echo $this->Form->button(
						'検索',
						[
							'type' => 'submit',
							'class' => 'btn btn-primary',
							'label' => FALSE,
						]
					);
?>
<?php echo $this->Form->input('sortodr', [ 'type' => 'hidden', 'value' => "0", 'id' => "sgodr" ] ); ?>

<?php echo $this->Form->end( ); ?>

	</div>

</div>

<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>

<script>
	$('div.amethod .btn').click(function(){
		var clkval = $(this).val( );
		$("#am").val( clkval );
		$('div.amethod button').each( function( i, elem ) {
			var cv = $(elem).val();
			if ( cv == clkval ) {
				$(elem).addClass('active');
			} else {
				$(elem).removeClass('active');
			}
		});
	});
	$('div.smethod .btn').click(function(){
		var clkval = $(this).val( );
		$("#sm").val( clkval );
		$('div.smethod button').each( function( i, elem ) {
			var cv = $(elem).val();
			if ( cv == clkval ) {
				$(elem).addClass('active');
			} else {
				$(elem).removeClass('active');
			}
		});
	});
    $('div.fmethod .btn').click(function(){
        var clkval = $(this).val( );
        $("#sm").val( clkval );
        $('div.fmethod button').each( function( i, elem ) {
            var cv = $(elem).val();
            if ( cv == clkval ) {
                $(elem).addClass('active');
            } else {
                $(elem).removeClass('active');
            }
        });
    });

	$(document).ready( function() {
		/* Web strage */
		if (localStorage.getItem("sortkey") === null) localStorage.setItem( 'sortkey', '0' );
		$("#sgodr").val( localStorage.getItem('sortkey') );

		/* radio button */
		$('div.amethod :input:checked').parent('.btn').addClass('active');
		$('div.smethod :input:checked').parent('.btn').addClass('active');
        $('div.fmethod :input:checked').parent('.btn').addClass('active');
	});
</script>

