
<style>
	#sortorderbtn {
		width: 400px;
		text-align: left;
	}
	#sortorderdrop li {
		padding: 5px;
		font-size: larger;
	}
</style>

<?php echo $this->element( 'footer_menu', [ 'ct' => $this->request->getParam('controller'), 'ac' => $this->request->getParam('action') ] ); ?>


<div class="container" id="mainbody">

	<div class="row">
			<h3>ソート順</h3>
			<p>各種検索時のソート順を設定します</p>
			<div class="btn-group">
				<button id="sortorderbtn" class="btn btn-default btn-lg dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">ソート順 <span class="caret"></span></button>
				<ul id="sortorderdrop" class="dropdown-menu">
					<li data-value="s0">リリース年：昇順</li>
					<li data-value="s1">リリース年：降順</li>
					<li data-value="s2">文字コード（アルファベット）：昇順</li>
					<li data-value="s3">文字コード（アルファベット）：降順</li>
				</ul>
			</div>

	</div>

</div>

<script type="text/javascript">

	$('#sortorderdrop li').click( function( ) {
		var arry = [ 's0', 's1', 's2', 's3' ];
		var txt = $(this).text( );
		var selval = $(this).data('value');
		if ( $.inArray( selval, arry ) ) {
			localStorage.setItem('sortkey', selval );
			$('#sortorderbtn').empty( ).text( txt );
		} else {
			selval = "s0";
			localStorage.setItem('sortkey', selval );
		}
	});
	$(document).ready(function(){
		var arry = [ 's0', 's1', 's2', 's3' ];
		var value = localStorage.getItem('sortkey');
		if ( value == null ) value = 's0';
		if ( $.inArray( value, arry ) ) {
			var ct = $('#sortorderdrop li').filter('[data-value="'+ value +'"]').text( );
		} else {
			localStorage.setItem( 'sortkey', 's0' );
			var ct = $('#sortorderdrop li').filter('[data-value="s0"]').text( );
		}
		$('#sortorderbtn').empty( ).text( ct );
	});
</script>
